Package com.emc.d2fs.models.subform_info

# Class SubformInfo

java.lang.Object
com.emc.d2fs.models.subform_info.SubformInfo

All Implemented Interfaces:
  `Serializable`

public class SubformInfo extends Object implements Serializable

Java class for subform_info complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="subform_info">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="label" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubformInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLabel()`
  Gets the value of the label property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubformInfo

    public SubformInfo()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`